petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMumpsSetSchurIndices

Set indices defining the Schur complement that MUMPS will compute during the factorization steps

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsSetSchurIndices(Mat F,PetscInt size,PetscInt idxs[])

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| size | - size of the Schur complement indices
| idxs[] | - array of Schur complement indices

### Notes

The user has to free the array idxs[] since the indices are copied by the routine. MUMPS Schur complement mode is currently implemented for sequential matrices.

References: MUMPS Users' Guide

### See Also

MatGetFactor(), MatMumpsCreateSchurComplement(), MatMumpsGetSchurComplement()

Level:advanced
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages